Bug 907346 (CVE-2013-0426) - CVE-2013-0426 OpenJDK: logging insufficient access control checks (Libraries, 6664528)
Summary: CVE-2013-0426 OpenJDK: logging insufficient access control checks (Libraries,...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0426
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20130201,repor...
Depends On:
Blocks: 906729
TreeView+ depends on / blocked
 
Reported: 2013-02-04 07:46 UTC by Tomas Hoger
Modified: 2019-06-08 19:24 UTC (History)
3 users (show)

Fixed In Version: icedtea6 1.11.6, icedtea6 1.12.1, icedtea7 2.1.5, icedtea7 2.2.5, icedtea7 2.3.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 09:16:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0236 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2013-02-05 04:53:12 UTC
Red Hat Product Errata RHSA-2013:0237 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-02-05 04:53:02 UTC
Red Hat Product Errata RHSA-2013:0245 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2013-02-09 00:35:08 UTC
Red Hat Product Errata RHSA-2013:0246 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-02-09 00:12:22 UTC
Red Hat Product Errata RHSA-2013:0247 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-02-09 00:24:43 UTC
Red Hat Product Errata RHSA-2013:0624 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2013-11-15 00:15:47 UTC
Red Hat Product Errata RHSA-2013:0625 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-15 00:15:10 UTC
Red Hat Product Errata RHSA-2013:0626 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-15 00:14:33 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC
Red Hat Product Errata RHSA-2013:1456 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:29:56 UTC

Description Tomas Hoger 2013-02-04 07:46:45 UTC
It was discovered that Java logging API does not properly perform access control checks.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2013-1841061.html

Comment 2 Tomas Hoger 2013-02-04 16:21:58 UTC
Upstream commit, as included in IcedTea7 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/ce105dd2e4de

(Includes fixes for both CVE-2013-0425 (bug 907344) and CVE-2013-0426 (bug 907346)).

Comment 3 errata-xmlrpc 2013-02-04 23:56:08 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0237 https://rhn.redhat.com/errata/RHSA-2013-0237.html

Comment 4 errata-xmlrpc 2013-02-04 23:57:27 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0236 https://rhn.redhat.com/errata/RHSA-2013-0236.html

Comment 5 Tomas Hoger 2013-02-08 11:57:33 UTC
(In reply to comment #2)
> Upstream commit, as included in IcedTea7 repositories:
> 
> http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/ce105dd2e4de

This issue introduced a regression which broke custom logger implementations, see e.g. bug 908497.  Regression is corrected via:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/272466e46b3f
http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/635d562a25be

Comment 6 errata-xmlrpc 2013-02-08 19:16:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0246 https://rhn.redhat.com/errata/RHSA-2013-0246.html

Comment 7 errata-xmlrpc 2013-02-08 19:27:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0247 https://rhn.redhat.com/errata/RHSA-2013-0247.html

Comment 8 errata-xmlrpc 2013-02-08 19:37:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0245 https://rhn.redhat.com/errata/RHSA-2013-0245.html

Comment 9 Tomas Hoger 2013-02-11 11:18:39 UTC
Commits in the jdk7-dev repository, including original Oracle fix dates:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/f26def552d2c
http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/693b931cd7cf

Comment 10 Tomas Hoger 2013-02-14 10:17:20 UTC
Fixed in upstream IcedTea versions IcedTea6 1.11.6, and 1.12.1, and IcedTea7 2.1.5, 2.2.5, and 2.3.6:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021708.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021728.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021905.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021876.html

Note that version 2.3.5 was tagged in upstream mercurial including the security fixes, but was not released.  Only 2.3.6 was released, correcting problem introduced by security patches as included in 2.3.5.

The regression mentioned in comment #5 was included in IcedTea6 1.11.6 and 1.12.1 and corrected in versions 1.11.7 and 1.12.2:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021858.html

Comment 11 errata-xmlrpc 2013-03-11 18:49:32 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0624 https://rhn.redhat.com/errata/RHSA-2013-0624.html

Comment 12 errata-xmlrpc 2013-03-11 19:00:24 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0626 https://rhn.redhat.com/errata/RHSA-2013-0626.html

Comment 13 errata-xmlrpc 2013-03-11 19:01:52 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0625 https://rhn.redhat.com/errata/RHSA-2013-0625.html

Comment 14 errata-xmlrpc 2013-10-23 16:38:34 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 15 errata-xmlrpc 2013-10-23 16:50:00 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.